nimf (1.3.0hamonikr40.6) stable; urgency=medium

  * Release for Ubuntu 21.10 imfish

 -- HamoniKRTeam <pkg@hamonikr.org>  Thu, 23 Dec 2021 16:57:08 +0900

nimf (1.3.0hamonikr40.5) stable; urgency=medium

  * Release for Ubuntu 21.04 hirsute

 -- HamoniKRTeam <pkg@hamonikr.org>  Fri, 19 Mar 2021 16:42:20 +0900

nimf (1.3.0hamonikr40.4) stable; urgency=medium

  * Remove doc/nimf-info.png
   - Update README.md 
  * Update nimf/po/ko.po
   - Change distributor name to Hodong Kim
  * Update nimf/modules/services/indicator/nimf-indicator.c
   - Change distributor name to Hodong Kim

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 08 Dec 2020 09:49:50 +0900

nimf (1.3.0hamonikr40.3) stable; urgency=medium

  * Update nimf/configure.ac
   - Change version string to 1.3.0
  * Add doc/nimf-info.png and doc/nimf.png
   - Update README.md 
  * Update nimf/po/ko.po
   - Change distributor name as HamoniKR
  * Update nimf/modules/services/indicator/nimf-indicator.c
   - Change distributor name as HamoniKR

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 01 Dec 2020 15:23:33 +0900

nimf (1.3.0hamonikr40.2) stable; urgency=medium

  * rebuild deb package for hamonikr 4.0
   - Apply new icons for modules
  * Removed modules/engines/nimf-m17n/icons/scalable/nimf-m17n-ui.svg
   - Fix bug for nimf/modules/engines/nimf-m17n/test-nimf-m17n.c 

 -- HamoniKRTeam <pkg@hamonikr.org>  Tue, 01 Dec 2020 15:23:33 +0900

nimf (1.3.0hamonikr40.1) stable; urgency=medium

  * rebuild deb package for hamonikr 4.0
   - Build for auto upgrage on HamoniKR 4.0 Jin
 
 -- HamoniKRTeam <pkg@hamonikr.org>  Sun, 29 Nov 2020 18:07:32 +0900

nimf (2020.04.28-1+hamonikr40.2) focal; urgency=low

  * Apply patch for HamoniKR 4.0
  * Update icons on data/icons/scalable folder
   - Apply new icon for HamoniKR 4.0
  * Update AUTHORS, README
   - Changed contact into AUTHORS for fix #23
  * Added BUILD.md and README.md
   - Add build descriptions for HamoniKR 4.0 (Ubuntu 20.04)
  * Update modules/services/indicator/nimf-indicator.c
   - Changed display maintainer name  

-- HamoniKR Team <pkg@hamonikr.org>  Sun, 29 Nov 2020 17:57:07 +0900

nimf (2020.04.28-0~20200428~hamonikr40.1) focal; urgency=low

  * Apply new icons for HamoniKR 4.0

-- HamoniKR Team <pkg@hamonikr.org>  Tue, 13 Oct 2020 15:32:00 +0900

nimf (2020.04.28) stable; urgency=medium

  * Fixed auto-reordering
  * Fixed errors when typing Hangul with the Dvorak layout.
  * Fixed wrong path. This prevents nimf from running more than once.
    Don't use g_get_user_runtime_dir()
  * Fix an error on compiling im-nimf.c for gtk2

 -- Hodong Kim <nimfsoft@gmail.com>  Tue, 28 Apr 2020 22:14:14 +0900

nimf (2019.08.14) stable; urgency=medium

  * Updated README
  * Fixed requirements
  * Use gtk-doc >= 1.26 to avoid automake warnings

 -- Hodong Kim <cogniti@gmail.com>  Wed, 14 Aug 2019 19:55:40 +0900

nimf (2019.08.05) stable; urgency=medium

  * Replaced specs/* with nimf.spec
  * IMdkit: Code cleanup (#106)
  * Imported some code from the RHEL code review

 -- Hodong Kim <cogniti@gmail.com>  Mon, 05 Aug 2019 22:19:55 +0900

nimf (2019.07.27) stable; urgency=medium

  * Fixed backward compatibility for OpenSUSE Leap
  * Fixed freezing (#152)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 27 Jul 2019 18:50:02 +0900

nimf (2019.07.26) stable; urgency=medium

  * Fixed a potential bug (#152)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 26 Jul 2019 23:06:01 +0900

nimf (2019.07.24) stable; urgency=medium

  * Added NIMF_KEY_Kanji, NIMF_KEY_Kana_Shift (#283)
  * nimf-anthy: Fixed the candidate window

 -- Hodong Kim <cogniti@gmail.com>  Wed, 24 Jul 2019 16:07:20 +0900

nimf (2019.07.21) stable; urgency=medium

  * nimf-settings: Fixd segmentation fault (#277 #280 #282)
  * IMdkit: Code cleanup (#106)
  * Updated installation documentation (#270 #281)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Jul 2019 23:30:08 +0900

nimf (2019.07.16) stable; urgency=medium

  * nimf-anthy: Code cleanup
  * nimf-anthy: Fixed space
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 16 Jul 2019 12:25:08 +0900

nimf (2019.07.10) stable; urgency=medium

  * Check schema and key for GNOME (#277)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 10 Jul 2019 23:09:46 +0900

nimf (2019.07.08) stable; urgency=medium

  * Added --disable-nimf-m17n option (#270)
  * IMdkit: Code cleanup (#106)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 08 Jul 2019 23:28:52 +0900

nimf (2019.07.03) stable; urgency=medium

  * Improved nimf-settings
  * Added an option: Setup environment variables (#87)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 03 Jul 2019 19:05:33 +0900

nimf (2019.06.23) stable; urgency=medium

  * Fixed backward compatibility for m17n-db (#273)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 23 Jun 2019 21:42:16 +0900

nimf (2019.06.22) stable; urgency=medium

  * Fixed preedit window location
  * Fixed nimf-xim not starting in the Xwayland environment (#272)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 22 Jun 2019 19:10:34 +0900

nimf (2019.06.21) stable; urgency=medium

  * Redesigned shortcuts (closes #272)
  * im-nimf-qt5: Fixed lt major version

 -- Hodong Kim <cogniti@gmail.com>  Fri, 21 Jun 2019 10:05:24 +0900

nimf (2019.06.07) stable; urgency=medium

  * Updated some docs
  * Added signals: "engine-loaded", "engine-unloaded"
  * Code cleanup
  * Check if GNOME is running
  * Added missing org.nimf.settings.gschema.xml

 -- Hodong Kim <cogniti@gmail.com>  Fri, 07 Jun 2019 06:57:33 +0900

nimf (2019.06.06) stable; urgency=medium

  * Fixed how to apply xkb options (#269)
  * Fixed #267
  * nimf-rime: Fixed preedit state

 -- Hodong Kim <cogniti@gmail.com>  Thu, 06 Jun 2019 00:02:01 +0900

nimf (2019.06.05) stable; urgency=medium

  * nimf-rime: Fixed preedit state
  * Fixed how to apply xkb options (closes #269)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 05 Jun 2019 10:49:15 +0900

nimf (2019.06.03) stable; urgency=medium

  * Updated translations
  * Load module dynamically

 -- Hodong Kim <cogniti@gmail.com>  Mon, 03 Jun 2019 01:46:30 +0900

nimf (2019.05.29) stable; urgency=medium

  * nimf-anthy: Fixed a potential bug
  * nimf-settings: Changed the XKB Options UI position

 -- Hodong Kim <cogniti@gmail.com>  Wed, 29 May 2019 08:47:12 +0900

nimf (2019.05.17) stable; urgency=medium

  * Added dependencies on m17n (>= 1.8.0)
  * Removed nimf-m17n-en

 -- Hodong Kim <cogniti@gmail.com>  Fri, 17 May 2019 23:46:58 +0900

nimf (2019.05.15) stable; urgency=medium

  * Redesign nimf-m17n
  * nimf-settings: Fixed potential bugs
  * "Renamed "active" to "active-engine"
  * Fixed possible faults

 -- Hodong Kim <cogniti@gmail.com>  Wed, 15 May 2019 00:59:16 +0900

nimf (2019.05.10) stable; urgency=medium

  * Fixed possible faults

 -- Hodong Kim <cogniti@gmail.com>  Fri, 10 May 2019 18:27:45 +0900

nimf (2019.05.09) stable; urgency=medium

  * nimf-indicator: Fixed possible faults
  * nimf-settings: Sort by language
  * nimf-server: Sort by language

 -- Hodong Kim <cogniti@gmail.com>  Thu, 09 May 2019 20:34:37 +0900

nimf (2019.05.08) stable; urgency=medium

  * nimf-settings: Fixed invalid type
  * nimf-settings: Sort by language

 -- Hodong Kim <cogniti@gmail.com>  Wed, 08 May 2019 21:05:24 +0900

nimf (2019.04.21) stable; urgency=medium

  * Fixed debian/control

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Apr 2019 00:34:57 +0900

nimf (2019.04.20) stable; urgency=medium

  * Updated descriptions
  * Fixed reference address

 -- Hodong Kim <cogniti@gmail.com>  Sat, 20 Apr 2019 14:25:27 +0900

nimf (2019.03.31) stable; urgency=medium

  * Fixed website address
  * Fixed the duplicate about dialog

 -- Hodong Kim <cogniti@gmail.com>  Sun, 31 Mar 2019 01:46:52 +0900

nimf (2019.03.27) stable; urgency=medium

  * Added nimf reference manual (closes #266)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 27 Mar 2019 00:34:01 +0900

nimf (2019.03.17) stable; urgency=medium

  * Fixed how to display the preeditable

 -- Hodong Kim <cogniti@gmail.com>  Sun, 17 Mar 2019 05:15:55 +0900

nimf (2019.03.15) stable; urgency=medium

  * nimf-xim: Fixed input styles (closes #150)
  * nimf-xim: Fixed a segmentation fault

 -- Hodong Kim <cogniti@gmail.com>  Fri, 15 Mar 2019 22:46:05 +0900

nimf (2019.02.25) stable; urgency=medium

  * Delay the launch of the nimf-indicator until the watcher is ready

 -- Hodong Kim <cogniti@gmail.com>  Mon, 25 Feb 2019 00:40:11 +0900

nimf (2019.02.24) stable; urgency=medium

  * Fixed that the indicator does not appear in MATE (closes #267)
  * Updated icons
  * Fixed watcher name
    Cinnamon doesn't provide "org.kde.StatusNotifierWatcher"

 -- Hodong Kim <cogniti@gmail.com>  Sun, 24 Feb 2019 00:07:52 +0900

nimf (2019.02.23) stable; urgency=medium

  * Added missig nimf_xim_set_engine()
  * Detached nimf-nim service from nimf-server
  * Added nimf_server_get_default()
  * Handle XNSpotLocation (#266)
  * Added nimf_preeditable_is_visible()
  * Fixed translator-credits
  * nimf-anthy: Added submenu
  * nimf-libhangul: Fixed localization

 -- Hodong Kim <cogniti@gmail.com>  Sat, 23 Feb 2019 00:18:12 +0900

nimf (2019.02.21) stable; urgency=medium

  * Fixed: an unresolvable reference

 -- Hodong Kim <cogniti@gmail.com>  Thu, 21 Feb 2019 00:02:34 +0900

nimf (2019.02.20) stable; urgency=medium

  * Fixed emitting invalid "engine-changed" signal
  * Display submenu in the indicator
  * nimf-indicator: Fixed not working on Cinnamon
  * Added *_set_engine()
  * Added nimf_connection_set_engine()
  * Added nimf_engine_set_method()
  * Added NimfEngineInfo
  * Fixed changing engine (closes #260)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 20 Feb 2019 23:14:21 +0900

nimf (2019.02.17) stable; urgency=medium

  * nimf-qt4: Added "reset-on-mouse-button-press" option
  * nimf-qt4: support for surrounding text
  * nimf-qt5: support for surrounding text
  * NimfEventKey: Fixed data types

 -- Hodong Kim <cogniti@gmail.com>  Sun, 17 Feb 2019 12:50:10 +0900

nimf (2019.02.15) stable; urgency=medium

  * nimf-m17n: Fixed segmentation fault (close #264)
  * nimf-m17n: Fixed updating preedit string

 -- Hodong Kim <cogniti@gmail.com>  Fri, 15 Feb 2019 00:38:01 +0900

nimf (2019.02.14) stable; urgency=medium

  * nimf-libhangul: Improved Hanja conversion (closes #217)

 -- Hodong Kim <cogniti@gmail.com>  Thu, 14 Feb 2019 00:11:47 +0900

nimf (2019.02.13) stable; urgency=medium

  * Added nimf-m17n engine (closes #143)
  * nimf-settings: Added "get-input-methods" for nimf-m17n
  * Fixed wrong cursor_index
  * Removed unused get_surrounding APIs

 -- Hodong Kim <cogniti@gmail.com>  Wed, 13 Feb 2019 17:21:54 +0900

nimf (2019.01.23) stable; urgency=medium

  * debian: Add missing org.nimf.settings.gschema.xml

 -- Hodong Kim <cogniti@gmail.com>  Wed, 23 Jan 2019 13:41:19 +0900

nimf (2019.01.22) stable; urgency=medium

  * nimf-settings: Forced GDK backend to x11 (#105)
    because of the Xwayland environment

 -- Hodong Kim <cogniti@gmail.com>  Tue, 22 Jan 2019 22:37:27 +0900

nimf (2019.01.21) stable; urgency=medium

  * Support for xkb options (closes #105)
  * Added nimf-settings.desktop
  * Removed nimf-chewing (closes #140)
    Use nimf-rime with bopomofo
  * nimf-rime: Print deploy messages
  * Update translations for singleton mode #147

 -- Hodong Kim <cogniti@gmail.com>  Mon, 21 Jan 2019 23:34:30 +0900

nimf (2018.12.05) stable; urgency=medium

  * Fixed cursor location
  * Fixed wrong candidate window location (resolves #83)
    Support multiple monitors

 -- Hodong Kim <cogniti@gmail.com>  Wed, 05 Dec 2018 02:29:11 +0900

nimf (2018.12.04) stable; urgency=medium

  * Fixed wrong candidate window location (resolves #83)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 04 Dec 2018 04:55:50 +0900

nimf (2018.12.01) stable; urgency=medium

  * Use g_bus_watch_name() (resolves #147)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 01 Dec 2018 12:34:33 +0900

nimf (2018.11.27) stable; urgency=medium

  * Fixed wrong cursor location on HiDPI (resolves #44)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 27 Nov 2018 11:39:00 +0900

nimf (2018.11.26) stable; urgency=medium

  * Fixed dynamic loading for Telegram (resolves #16)
  * Use fcntl() instead of flock() (resolves #147)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 26 Nov 2018 11:18:53 +0900

nimf (2018.11.21) stable; urgency=medium

  * im-nimf-qt5: if (m_im == NULL) return false;

 -- Hodong Kim <cogniti@gmail.com>  Wed, 21 Nov 2018 10:07:33 +0900

nimf (2018.11.20.1) stable; urgency=medium

  * Turn off USE_DLFCN by default

 -- Hodong Kim <cogniti@gmail.com>  Tue, 20 Nov 2018 07:57:05 +0900

nimf (2018.11.20) stable; urgency=medium

  * Fixed dynamic loading for Telegram (resolves #16)
  * Fixed displaying preedit text (closes #144)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 20 Nov 2018 07:37:44 +0900

nimf (2018.11.19) stable; urgency=medium

  * Initialize indicator once (fixed #147)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 19 Nov 2018 03:59:09 +0900

nimf (2018.08.31) stable; urgency=medium

  * Delete legal notices and disclaimers

 -- Hodong Kim <cogniti@gmail.com>  Fri, 31 Aug 2018 02:00:58 +0900

nimf (2018.08.29) stable; urgency=medium

  * Fixed compile errors on Fedora

 -- Hodong Kim <cogniti@gmail.com>  Wed, 29 Aug 2018 03:16:30 +0900

nimf (2018.08.28) stable; urgency=medium

  * 법적 고지 및 면책 조항 추가
  * Added --disable-hardening option (closes #139)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 28 Aug 2018 23:11:38 +0900

nimf (2018.08.21) stable; urgency=medium

  * Removed --no-daemon option (closes #138)
  * Used g_socket_send_message() #138
    Deadlock is reduced by one call.
  * Added a documenter
    https://gitlab.com/nimf-i18n/nimf/merge_requests/2
  * Generate 96x96 icons

 -- Hodong Kim <cogniti@gmail.com>  Tue, 21 Aug 2018 23:25:22 +0900

nimf (2018.08.06) stable; urgency=medium

  * Removed a Korean xkb option #105
  * Fixed a segmentation fault

 -- Hodong Kim <cogniti@gmail.com>  Mon, 06 Aug 2018 22:31:31 +0900

nimf (2018.08.03) stable; urgency=medium

  * Fixed undefined symbols #16
  * Add how to enable Nimf in README by Bumsik Kim <k.bumsik at gmail com>

 -- Hodong Kim <cogniti@gmail.com>  Fri, 03 Aug 2018 02:29:05 +0900

nimf (2018.08.02) stable; urgency=medium

  * Added dynamic loading by dlopen() #16
  * Fixed a memory leak
  * Separate client-side and server-side files #16
  * Fixed including header file #16

 -- Hodong Kim <cogniti@gmail.com>  Thu, 02 Aug 2018 22:18:57 +0900

nimf (2018.07.28) stable; urgency=medium

  * Copied audit_getloginuid() form libaudit.c #16
    https://gitlab.com/nimf-i18n/nimf/issues/16#note_90922785
    Because Telegram also supports Ubuntu 12.04, but Ubuntu 12.04 does not have
    libaudit.
  * Code cleanup: including headers #16

 -- Hodong Kim <cogniti@gmail.com>  Sat, 28 Jul 2018 16:36:34 +0900

nimf (2018.07.27) stable; urgency=medium

  * Some code inside nimf-server.* has been moved to bin/nimf.c #16
  * Determine socket path, lock path at runtime #16
    https://gitlab.com/nimf-i18n/nimf/issues/16#note_89891251
  * archlinux/PKGBUILD file is in the public domain
  * ln -sf debian/changelog NEWS

 -- Hodong Kim <cogniti@gmail.com>  Fri, 27 Jul 2018 22:45:14 +0900

nimf (2018.07.20) stable; urgency=medium

  * Added a n-input-mode option (resolves #81 #85 #103)
  * Fixed authentication logic

 -- Hodong Kim <cogniti@gmail.com>  Fri, 20 Jul 2018 23:43:55 +0900

nimf (2018.07.19) stable; urgency=medium

  * Fixed segmentation fault (closes #115 #113)

 -- Hodong Kim <cogniti@gmail.com>  Thu, 19 Jul 2018 23:06:16 +0900

nimf (2018.07.09) stable; urgency=medium

  * Fixed programming errors
  * Call nimf_indicator_stop() in the nimf_indicator_finalize()
    Fixed #113

 -- Hodong Kim <cogniti@gmail.com>  Mon, 09 Jul 2018 01:07:45 +0900

nimf (2018.07.08) stable; urgency=medium

  * Fixed a logic bug  #112
  * Fixed segfault  #112

 -- Hodong Kim <cogniti@gmail.com>  Sun, 08 Jul 2018 22:37:29 +0900

nimf (2018.07.07) stable; urgency=medium

  * Added simple manuals
  * Fixed a potential error  #111
  * Added EXTRA_CFLAGS: -D_FORTIFY_SOURCE=2  #111

 -- Hodong Kim <cogniti@gmail.com>  Sat, 07 Jul 2018 22:33:34 +0900

nimf (2018.07.06) stable; urgency=medium

  * Use file locking to ensure single instance (resolves #110)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 06 Jul 2018 23:10:53 +0900

nimf (2018.07.05) stable; urgency=medium

  * Fixed segmentation fault (resolves #108)

 -- Hodong Kim <cogniti@gmail.com>  Thu, 05 Jul 2018 03:05:12 +0900

nimf (2018.07.03) stable; urgency=medium

  * Ignore SIGTSTP (resovles #104)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 03 Jul 2018 00:55:50 +0900

nimf (2018.07.02.1) stable; urgency=medium

  * Fixed incorrectly deleting an socket

 -- Hodong Kim <cogniti@gmail.com>  Mon, 02 Jul 2018 19:07:20 +0900

nimf (2018.07.02) stable; urgency=medium

  * Fixed an authentication issue #107
  * Improved error handling

 -- Hodong Kim <cogniti@gmail.com>  Mon, 02 Jul 2018 12:47:20 +0900

nimf (2018.06.28) stable; urgency=medium

  * Added Korean XKB option
  * Improved error handling

 -- Hodong Kim <cogniti@gmail.com>  Thu, 28 Jun 2018 03:56:45 +0900

nimf (2018.06.21) stable; urgency=medium

  * Changed project site to https://gitlab.com/hodong/nimf

 -- Hodong Kim <cogniti@gmail.com>  Thu, 21 Jun 2018 12:03:52 +0900

nimf (2018.06.20) stable; urgency=medium

  * Added debian/libnimf0.install
  * nimf-anthy: Implemented the editing feature (closes #103 #102)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 20 Jun 2018 21:12:10 +0900

nimf (2018.06.16) stable; urgency=medium

  * Changed site
  * Renamed nimf-daemon to nimf

 -- Hodong Kim <cogniti@gmail.com>  Sat, 16 Jun 2018 01:51:50 +0900

nimf (2018.05.20) stable; urgency=medium

  * Do not follow existing practice (affects #103 #102 #100 #85 #81 #76 #73)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 20 May 2018 00:06:02 +0900

nimf (2018.05.08) stable; urgency=medium

  * nimf-anthy: Follow existing practice (closes #102 #100 #76 #73)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 08 May 2018 13:16:26 +0900

nimf (2018.05.04) stable; urgency=medium

  * Add ISO_Level3_Shift (0xfe03) to NimfKeySym

 -- Hodong Kim <cogniti@gmail.com>  Fri, 04 May 2018 16:30:01 +0900

nimf (2018.04.05) stable; urgency=medium

  * Removed sunpinyin
  * Fixed segmentation fault (closes #95)

 -- Hodong Kim <cogniti@gmail.com>  Thu, 05 Apr 2018 13:49:30 +0900

nimf (2018.03.10) stable; urgency=medium

  * nimf-anthy: Fixed incorrect mapping (closes #91)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 10 Mar 2018 12:11:04 +0900

nimf (2018.02.16) stable; urgency=medium

  * Removed deprecated functions (closes #90)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 16 Feb 2018 04:29:21 +0900

nimf (2018.01.30) stable; urgency=medium

  * Removed Japanese Keyboard (OADG 109A)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 30 Jan 2018 03:27:36 +0900

nimf (2018.01.22) stable; urgency=medium

  * Added trigger-keys option for system keyboard (closes #30)
  * Fixed: replace last character

 -- Hodong Kim <cogniti@gmail.com>  Mon, 22 Jan 2018 08:45:36 +0900

nimf (2018.01.21) stable; urgency=medium

  * Kana input on the English Keyboard (pc104) (closes #84)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 21 Jan 2018 17:43:21 +0900

nimf (2018.01.20) stable; urgency=medium

  * Updated README

 -- Hodong Kim <cogniti@gmail.com>  Sat, 20 Jan 2018 13:50:22 +0900

nimf (2018.01.19) stable; urgency=medium

  * Partially supported Japanese Keyboard (OADG 109A) (closes #84)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 19 Jan 2018 06:39:27 +0900

nimf (2018.01.18) stable; urgency=medium

  * Fixed how to type ん (closes #86 #85 #81)

 -- Hodong Kim <cogniti@gmail.com>  Thu, 18 Jan 2018 11:27:33 +0900

nimf (2018.01.16) stable; urgency=medium

  * Fixed converting to Hiragana (closes #82)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 16 Jan 2018 09:37:30 +0900

nimf (2018.01.15) stable; urgency=medium

  * Output っ on typing the same consonant except n (related issue #81)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 15 Jan 2018 15:08:24 +0900

nimf (2018.01.14) stable; urgency=medium

  * Updated README
  * Changed website to https://github.com/cogniti/nimf

 -- Hodong Kim <cogniti@gmail.com>  Sun, 14 Jan 2018 08:38:37 +0900

nimf (2018.01.13) stable; urgency=medium

  * Supplemented error messages
  * Removed an unused variable

 -- Hodong Kim <cogniti@gmail.com>  Sat, 13 Jan 2018 10:04:18 +0900

nimf (2018.01.07) stable; urgency=medium

  * Removed nimf_engine_set_cursor_location()
  * Modulized nimf-candidate
  * nimf-xim: Changed option name to "draw-preedit-on-the-server-side"
    "ignore-xim-preedit-callbacks" --> "draw-preedit-on-the-server-side"
  * nimf-indicator: Display some icons
  * Removed donate menu

 -- Hodong Kim <cogniti@gmail.com>  Sun, 07 Jan 2018 23:09:56 +0900

nimf (2018.01.04) stable; urgency=medium

  * Redesigned nimf-anthy (closes #73)

 -- Hodong Kim <cogniti@gmail.com>  Thu, 04 Jan 2018 21:30:34 +0900

nimf (2017.12.30) stable; urgency=medium

  * nimf-anthy: Improved End key (related issue #73)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 30 Dec 2017 00:20:34 +0900

nimf (2017.12.29) stable; urgency=medium

  * Implemented preedit-window module (closes #61)
  * Wait for NIMF_MESSAGE_START_INDICATOR_REPLY (closes #74)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 29 Dec 2017 07:59:38 +0900

nimf (2017.12.28) stable; urgency=medium

  * Fixed deadlock (closes #74)
    Removed G_LOCK
  * Run nimf-daemon on demand
  * Removed always-use-preedit option (related #5)

 -- Hodong Kim <cogniti@gmail.com>  Thu, 28 Dec 2017 11:59:13 +0900

nimf (2017.12.27) stable; urgency=medium

  * Added --start-indicator option
  * Added *_is_active() functions
  * Renamed 70_nimf.* to 23_nimf.*

 -- Hodong Kim <cogniti@gmail.com>  Wed, 27 Dec 2017 16:09:03 +0900

nimf (2017.12.18) stable; urgency=medium

  * Split nimf into multiple packages (closes #60)
  * Added nimf-daemon.desktop into /etc/xdg/autostart (closes #66)
  * Fixed compile errors on compiling nimf-qt5

 -- Hodong Kim <cogniti@gmail.com>  Mon, 18 Dec 2017 21:35:48 +0900

nimf (2017.08.20) stable; urgency=medium

  * nimf-settings: set size 700 x 525
  * nimf-libhangul: Renamed auto-correction to auto-reordering
  * nimf-rime: showed the status of simplification
  * Added "engine-status-changed" signal
  * Added engine_id to nimf_service_im_engine_changed()
  * Renamed nimf_service_im_emit_engine_changed() to
    nimf_service_im_engine_changed()

 -- Hodong Kim <cogniti@gmail.com>  Sun, 20 Aug 2017 21:21:13 +0900

nimf (2017.08.18) stable; urgency=medium

  * Forced GDK backend to x11 (issue #25)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 18 Aug 2017 23:19:42 +0900

nimf (2017.08.15) stable; urgency=medium

  * nimf-system-keyboard: Fixed a locale parameter (closes #57)

 -- Hodong Kim <cogniti@gmail.com>  Tue, 15 Aug 2017 14:50:03 +0900

nimf (2017.07.23) stable; urgency=medium

  * nimf-settings: Do not use GtkApplication
  * nimf-settings: Replaced notebook with stack

 -- Hodong Kim <cogniti@gmail.com>  Sun, 23 Jul 2017 00:00:34 +0900

nimf (2017.07.22) stable; urgency=medium

  * nimf-candidate: Fixed a warning
  * IMdkit: Set border width to 0
  * nimf-xim: Enhanced stability

 -- Hodong Kim <cogniti@gmail.com>  Sat, 22 Jul 2017 04:31:50 +0900

nimf (2017.07.18) stable; urgency=medium

  * nimf-xim: Modified dispatcher (issue #53)
  * Deleted nimf-indicator-warning.svg

 -- Hodong Kim <cogniti@gmail.com>  Tue, 18 Jul 2017 20:00:15 +0900

nimf (2017.07.16) stable; urgency=medium

  * Renamed nimf-indicator.svg to nimf-focus-out.svg (issue #50)
  * Renamed nimf.svg to nimf-logo.svg (issue #50)
  * nimf-system-keyboard: Implemented preedit string (issue #33)
  * nimf-xim: Fixed cursor location

 -- Hodong Kim <cogniti@gmail.com>  Sun, 16 Jul 2017 22:44:00 +0900

nimf (2017.07.15) stable; urgency=medium

  * Updated translations
  * Added German translation
  * nimf-xim: Add option ignore-xim-preedit-callbacks (closes #35)
  * nimf-xim: Added nimf_xim_set_cursor_location() (issue #35)
  * nimf-xim: Fixed preedit window

 -- Hodong Kim <cogniti@gmail.com>  Sat, 15 Jul 2017 22:57:35 +0900

nimf (2017.07.07) stable; urgency=medium

  * nimf-xim: Fixed supported styles (closes #45 #48)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 07 Jul 2017 00:37:36 +0900

nimf (2017.04.08) stable; urgency=medium

  * Fixed not connecting to daemon as root privilege (closes #43)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 08 Apr 2017 05:27:07 +0900

nimf (2017.04.07) stable; urgency=medium

  * Changed default trigger keys

 -- Hodong Kim <cogniti@gmail.com>  Fri, 07 Apr 2017 23:11:09 +0900

nimf (2017.03.27) stable; urgency=medium

  * nimf-xim: Added a root window im style (issue #35)

 -- Hodong Kim <cogniti@gmail.com>  Mon, 27 Mar 2017 22:03:07 +0900

nimf (2017.03.25) stable; urgency=medium

  * Support for Wayland (closes #25)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 25 Mar 2017 21:47:21 +0900

nimf (2017.03.19) stable; urgency=medium

  * Added mssymbol.txt for nimf-libhangul (closes #31)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 19 Mar 2017 00:35:38 +0900

nimf (2017.03.17) stable; urgency=medium

  * Modulized indicator

 -- Hodong Kim <cogniti@gmail.com>  Fri, 17 Mar 2017 09:36:01 +0900

nimf (2017.03.15) stable; urgency=medium

  * Modulized XIM (related issue #25)
  * Added Japanese translation
  * Added Chinese translation

 -- Hodong Kim <cogniti@gmail.com>  Wed, 15 Mar 2017 00:25:52 +0900

nimf (2017.02.21) stable; urgency=medium

  * Fixed Qt 5.8.0 compile error (closes #38)
  * Fixed nimf-types.h

 -- Hodong Kim <cogniti@gmail.com>  Tue, 21 Feb 2017 12:30:00 +0900

nimf (2017.02.19) stable; urgency=medium

  * Support multi-user environment (closes #37)
  * Fixed email address, year
  * Support for Compose using libxkbcommon (closes #33)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 19 Feb 2017 00:00:00 +0900

nimf (2017.01.28) stable; urgency=medium

  * Added missing keysyms
  * Added donate menu
  * Applied gtk_im_context_simple (issue #33)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 28 Jan 2017 02:12:22 +0900

nimf (2016.09.26) stable; urgency=medium

  * nimf-anthy: Fixed segmentation fault

 -- Hodong Kim <cogniti@gmail.com>  Mon, 26 Sep 2016 00:09:52 +0900

nimf (2016.09.25) stable; urgency=medium

  * nimf-anthy: Navigate segments
  * nimf-anthy: Improved nimf-anthy

 -- Hodong Kim <cogniti@gmail.com>  Sun, 25 Sep 2016 18:04:14 +0900

nimf (2016.09.24) stable; urgency=medium

  * nimf-anthy: Convert "n" to "ん" (closes #23)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 24 Sep 2016 14:02:54 +0900

nimf (2016.09.23) stable; urgency=medium

  * nimf-anthy: Fixed romaji table (closes #23)

 -- Hodong Kim <cogniti@gmail.com>  Fri, 23 Sep 2016 20:02:40 +0900

nimf (2016.09.22) stable; urgency=medium

  * Fixed: nimf-daemon freezes (issue #22)
    Set GTK_IM_MODULE to "gtk-im-context-simple"

 -- Hodong Kim <cogniti@gmail.com>  Thu, 22 Sep 2016 18:48:27 +0900

nimf (2016.09.21) stable; urgency=medium

  * nimf-anthy: Select first item in page
  * nimf-settings: g_unsetenv ("GTK_IM_MODULE")
  * nimf-client.c: Retry 4 times
  * Fixed: Ctrl+C and Ctrl+V not working (issue #21)

 -- Hodong Kim <cogniti@gmail.com>  Wed, 21 Sep 2016 21:38:53 +0900

nimf (2016.09.16) stable; urgency=medium

  * nimf-anthy: Do not use the return key to select an item (issue #20)
  * Added nimf-chewing, nimf-rime (issue #18)
  * Redesigned candidate window and APIs
  * Enhanced stability
  * nimf-sunpinyin: Changed trigger key
  * nimf-indicator: Changed website

 -- Hodong Kim <cogniti@gmail.com>  Fri, 16 Sep 2016 18:19:10 +0900

nimf (2016.08.06) stable; urgency=medium

  * Fixed scroll bug in the candidate window
  * Fixed trivial bugs
  * Added fedora-specific files
  * Remove libnimf.la
  * Fixed missing nimf-context.h
  * nimf-settings: Improved dialog to capture keys

 -- Hodong Kim <cogniti@gmail.com>  Sat, 06 Aug 2016 17:32:03 +0900

nimf (2016.07.23) stable; urgency=medium

  * nimf-indicator: Revert to 2016-06-04
  * Show comments in the candidate window
  * Added an extra column to the candidate window
  * Added debian-specific files

 -- Hodong Kim <cogniti@gmail.com>  Sat, 23 Jul 2016 20:39:34 +0900

nimf (2016.07.15) stable; urgency=medium

  * Added "reset-on-mouse-button-press" option on Qt5
    Default value is true.

 -- Hodong Kim <cogniti@gmail.com>  Fri, 15 Jul 2016 00:07:39 +0900

nimf (2016.07.14) stable; urgency=medium

  * nimf-anthy: Reduced memory usage
  * nimf-anthy: Fixed invalid assignment

 -- Hodong Kim <cogniti@gmail.com>  Thu, 14 Jul 2016 00:00:04 +0900

nimf (2016.07.13) stable; urgency=medium

  * Fixed preedit attributes
  * Fixed set_cursor_location
  * Improved the performance of nimf-anthy
  * Updated translations
  * Show Caps Lock state
    Added a "show-notification" option, default value is true.
    related issue https://github.com/dasom-im/dasom/issues/37

 -- Hodong Kim <cogniti@gmail.com>  Wed, 13 Jul 2016 00:30:19 +0900

nimf (2016.07.04) stable; urgency=medium

  * Added Multi_key 0xff20

 -- Hodong Kim <cogniti@gmail.com>  Mon, 04 Jul 2016 18:52:41 +0900

nimf (2016.07.03) stable; urgency=medium

  * Fixed nimf_sunpinyin_reset()
  * Reset server->instances when G_IO_HUP | G_IO_ERR
  * Create HanjaTable as a single instance
  * Run as a unique instance: nimf-indicator
  * Do not use virtual modifiers
  * Implemented nimf-anthy based on anthy
  * Fixed memory leak
  * Fixed invalid use of g_malloc0_n()
  * Modified nimf_candidate_show_window()
  * Fixed a possible fault

 -- Hodong Kim <cogniti@gmail.com>  Sun, 03 Jul 2016 23:53:42 +0900

nimf (2016.06.18) stable; urgency=medium

  * Fixed infinite loop (reported by nemonein)

 -- Hodong Kim <cogniti@gmail.com>  Sat, 18 Jun 2016 00:29:58 +0900

nimf (2016.06.16) stable; urgency=medium

  * Updated translation
  * Added "use-singleton" option (closes #7)
    Default value is true
  * Changed the method of switching engine (issue #8)
  * Update default language engine list (issue #8)
  * Added nimf-system-keyboard schema for consistency

 -- Hodong Kim <cogniti@gmail.com>  Thu, 16 Jun 2016 22:57:21 +0900

nimf (2016.06.02) stable; urgency=medium

  * Removed dconf-editor from Recommends field
  * Set treeview size
  * Don't use gtk_switch_set_state() for backward compatibility

 -- Hodong Kim <cogniti@gmail.com>  Thu, 02 Jun 2016 00:32:30 +0900

nimf (2016.06.01) stable; urgency=medium

  * Added missing keysyms
  * Use a naming convention for NimfModifierType
    <Name> instead of name-mask
  * Use correct keysym names
  * Check if (nimf_client_is_connected () == FALSE)
  * Added nimf_client_is_connected()
  * Added nimf-settings
    Related issue https://github.com/dasom-im/dasom-settings/issues/1
  * Apply an option "always-use-preedit" at runtime

 -- Hodong Kim <cogniti@gmail.com>  Wed, 01 Jun 2016 19:38:38 +0900

nimf (2016.05.25) stable; urgency=medium

  * Added an option "always-use-preedit" (issue #5)
  * Use event->key.keyval in the case of Romaja layout
  * Changed the method of loading active engines
  * Removed an unused variable
  * Added nimf-dev.install, nimf.install

 -- Hodong Kim <cogniti@gmail.com>  Wed, 25 May 2016 23:14:42 +0900

nimf (2016.05.01) stable; urgency=high

  * Fixed a segmentation fault
    nimf-sunpinyin depends on sunpinyin-data
  * Check pkg-config, libglib2.0-dev
    Related issue https://github.com/dasom-im/dasom-jeongeum/issues/9

 -- Hodong Kim <cogniti@gmail.com>  Sun, 01 May 2016 00:34:51 +0900

nimf (2016.04.29) stable; urgency=medium

  * Added NimfEngineInfo
  * Fixed a possible fault
  * Used g_module_build_path instead of g_build_path
    Renamed nimf-anthy.so to libnimf-anthy.so
    Renamed nimf-libhangul.so to libnimf-libhangul.so
    Renamed nimf-sunpinyin.so to libnimf-sunpinyin.so
    Renamed nimf-system-keyboard.so to libnimf-system-keyboard.so
  * Generate 16x16 and 48x48 icons

 -- Hodong Kim <cogniti@gmail.com>  Fri, 29 Apr 2016 05:28:22 +0900

nimf (2016.04.28) stable; urgency=medium

  * Added nimf-system-keyboard engine
  * Added "active-engines" key
  * Integrated NimfModuleManager into NimfServer
  * Moved "default-engine" key to /org/nimf/engines/

 -- hodong <cogniti@gmail.com>  Thu, 28 Apr 2016 12:51:54 +0900

nimf (2016.04.26) stable; urgency=medium

  * Initial Release

  * Nimf is an input method framework, it has a module-based client-server
    architecture where applications act as clients and communicate with the
    Nimf server via toolkit-specific input context modules and one socket per
    process.

  * Nimf provides
    + Input Method Server
      - nimf-daemon including XIM
    + Language Engines
      - Chinese:  nimf-sunpinyin (based on sunpinyin, under the development)
      - Japanese: nimf-anthy     (based on anthy, under the development)
      - Korean:   nimf-libhangul (based on libhangul)
    + Client Modules
      - GTK+2, GTK+3, Qt4, Qt5
    + Indicator
      - nimf-indicator (based on libappindicator3) for Unity, GNOME Panel, KDE
    + Development files

 -- Hodong Kim <cogniti@gmail.com>  Tue, 26 Apr 2016 06:31:55 +0900

dasom (1.0.1) stable; urgency=medium

  * Fixed race condition (closes #18)
  * Dubeolsik: Compose double consonants only with shift key by default
  * Fixed CapsLock (closes #15 #16)
  * Fixed event hooking (closes #9)
  * Fixed compatibility issue with Qt 5.5 (closes #11)
  * Modified icon brightness
    - f9f9f9 (2.5% gray) --> f2f2f2 ( 5% gray)
    - ffffff (black)     --> 1a1a1a (90% gray)

 -- Hodong Kim <cogniti@gmail.com>  Sun, 25 Oct 2015 00:37:29 +0900

dasom (1.0) stable; urgency=medium

  * Initial Release

  * Dasom is an input method framework, which provides
    - Input Method Server including XIM
    - Language Engines for Korean, English
    - IM Modules for GTK+2, GTK+3, Qt4, Qt5
    - Indicators for GNOME Shell, Unity, KDE, GNOME panel

 -- Hodong Kim <cogniti@gmail.com>  Fri, 09 Oct 2015 01:21:10 +0900
